%global modulename stackclimber

Name: python-%{modulename}
Version: 0.99
Release: 1%{?dist}
Summary: Allow a function to discover its caller's module or script name, or its caller's caller.

License: MIT
URL: https://pypi.python.org/pypi/%{modulename}
Source0: https://github.com/drcloud/stackclimber/archive/%{version}/%{modulename}-%{version}.tar.gz

BuildArch: noarch

%global _description \
stackclimber allows your function to find the module or script name of its caller, or of its \
caller's caller.

%description %{_description}

%package -n python2-%{modulename}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{modulename}}
BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner

%description -n python2-%{modulename} %{_description}

Python 2 version.

%package -n python3-%{modulename}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{modulename}}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner

%description -n python3-%{modulename} %{_description}

Python 3 version.

%prep
%autosetup -n %{modulename}-%{version}

%build
%py2_build
%py3_build

%install
%py2_install
%py3_install

%check
%{__python2} test.py
%{__python3} test.py

%files -n python2-%{modulename}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{modulename}-%{version}-py%{python2_version}.egg-info/
%{python2_sitelib}/%{modulename}.py*

%files -n python3-%{modulename}
%license LICENSE
%doc README.rst
%{python3_sitelib}/%{modulename}-%{version}-py%{python3_version}.egg-info/
%{python3_sitelib}/%{modulename}.py
%{python3_sitelib}/__pycache__/%{modulename}.*

%changelog
* Mon Mar 13 2017 Vadim Rutkovsky <vrutkovs@redhat.com> - 1.0.0-1
- Initial package
